﻿/**Begin D:\cgq\develop\document\dba\PDMTOOLS\PDMTOOLS\PDM_UPGRADE_1.3\PDM_UPGRADE\pdm1\TDM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TDM_ASSET_DATA' AND KSQL_COL_NAME ='FACCAMORTIZATIONPERIODS') 
 ALTER TABLE T_TDM_ASSET_DATA ADD (FACCAMORTIZATIONPERIODS BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TDM_ASSET_DATA' AND KSQL_COL_NAME ='FACCRESIDUALVALUE') 
 ALTER TABLE T_TDM_ASSET_DATA ADD (FACCRESIDUALVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TDM_ASSET_DATA' AND KSQL_COL_NAME ='FACCDEPRECIATIONMETHOD') 
 ALTER TABLE T_TDM_ASSET_DATA ADD (FACCDEPRECIATIONMETHOD VARCHAR(200) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDM_ASSET_TAXC_CARD_L') 
 CREATE TABLE T_TDM_ASSET_TAXC_CARD_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDM_ASSET_TAXC_CARD') 
 CREATE TABLE T_TDM_ASSET_TAXC_CARD (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FTAXORG BIGINT DEFAULT 0 NOT NULL,
FACCOUNTORG BIGINT DEFAULT 0 NOT NULL,
FTAXATIONSYS BIGINT DEFAULT 0 NOT NULL,
FTAXAREA BIGINT DEFAULT 0 NOT NULL,
FASSETDATA BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FASSETSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FNODEPRECIATION VARCHAR(50) DEFAULT ' ' NOT NULL,
FRDADDITION VARCHAR(50) DEFAULT ' ' NOT NULL,
FASSETUSE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDCLEANINGDATE DATETIME,
FACCOUNTINGPERIOD DATETIME,
FBOOKTAXDIFFERENT VARCHAR(50) DEFAULT ' ' NOT NULL,
FBOOKTAXDIFFERENTTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPOLICYCONFIRMATIONSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATASOURCE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRENCY BIGINT DEFAULT 0 NOT NULL,
FASSETSVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACCDEPRECIATIONMETHOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FACCAMORTIZATIONPERIODS BIGINT DEFAULT 0 NOT NULL,
FACCRESIDUALVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXBASE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMORTIZATIONPERIODS BIGINT DEFAULT 0 NOT NULL,
FDEPRECIATIONADJUSTMETHOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXRESIDUALVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FASSETCLASS VARCHAR(300) DEFAULT ' ' NOT NULL,
FTAXACCOUNTINGBOOK VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXASSETCLASS BIGINT DEFAULT 0 NOT NULL,
FQUICKTAXASSETCLASS BIGINT DEFAULT 0 NOT NULL,
FTAXDEPRECIATION BIGINT DEFAULT 0 NOT NULL
);



/**End D:\cgq\develop\document\dba\PDMTOOLS\PDMTOOLS\PDM_UPGRADE_1.3\PDM_UPGRADE\pdm1\TDM_table.sql **/
