﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TDM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDM_COSTITEM') 
 CREATE TABLE T_TDM_COSTITEM (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FLONGNUMBER VARCHAR(500) DEFAULT ' ' NOT NULL,
FLEVEL BIGINT DEFAULT 0 NOT NULL,
FISLEAF CHAR(1) DEFAULT '0' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FISPRESET CHAR(1) DEFAULT '0' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDM_COSTITEM_L') 
 CREATE TABLE T_TDM_COSTITEM_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDM_ROOM_REVENUE') 
 CREATE TABLE T_TDM_ROOM_REVENUE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FTAXORG BIGINT DEFAULT 0 NOT NULL,
FROOMID BIGINT DEFAULT 0 NOT NULL,
FQSFQ NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSWYT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FJZMP VARCHAR(50) DEFAULT ' ' NOT NULL,
FKSZC VARCHAR(50) DEFAULT ' ' NOT NULL,
FJZMJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSCMJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FZGRQ DATETIME,
FQYRQ DATETIME,
FHZ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQYBHSZE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQYHSZE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHK DECIMAL(23,10) DEFAULT 0 NOT NULL,
FXSYT BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDM_ROOM_REVENUE_L') 
 CREATE TABLE T_TDM_ROOM_REVENUE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TDM_table.sql **/
